Bug 128546 - missing links to 5.8.4 libraries for backward compatibility
missing links to 5.8.4 libraries for backward compatibility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-07-25 00:52 EDT by Arenas Belon, Carlo Marcelo
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 5.8.5-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 10:52:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to perl.spec to add missing backward compatibility links for perl 5.8.4 (930 bytes, patch)
2004-07-25 00:57 EDT, Arenas Belon, Carlo Marcelo
no flags Details | Diff

  None (edit)
Description Arenas Belon, Carlo Marcelo 2004-07-25 00:52:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7)
Gecko/20040718 Firefox/0.9.1

Description of problem:
SPEC for perl 5.8.5 is missing compatibility links for 5.8.4 on the
post script and the build parameters.

this breaks the update of this package from a 5.8.4 based package
which is providing libperl.so, like vim-enhanced-6.3.014-1 (BUG 128535
and BUG 128524) and which are expecting libperl.so to be on the
corresponding architecture/version directory (ex:
/usr/lib64/perl5/5.8.4/x86_64-linux-thread-multi/CORE/libperl.so)

as the dependency is decided as compile time and is specific to the
architecture/version used on the build machine, a different scheme
which uses a generic dependency name (Require: perl) and changes to
use a path agnostic libperl.so was suggested (might be tricky on multi
arch platforms though).

eventhough, as a workaround for backward compatibility is already
deployed on the current SPEC, a patch which fixes this using the
current approach is attached.

Version-Release number of selected component (if applicable):
perl-5.8.5-1

How reproducible:
Always

Steps to Reproduce:
1. install Fedora Core3 test 1 (AMD64, eventhough it is not arch specific)
2. update -u perl
3. 
    

Actual Results:  /usr/lib64/perl5/5.8.4/x86_64-linux-thread-multi is
needed by
(installed) vim-enhanced-6.3.014-1



Expected Results:  package updated

Additional info:
Comment 1 Arenas Belon, Carlo Marcelo 2004-07-25 00:57:05 EDT
Created attachment 102199 [details]
patch to perl.spec to add missing backward compatibility links for perl 5.8.4

adds 5.8.4 to the defined list on -Dinc_version_list and a link to the 5.8.4 on
the %install script
Comment 2 Chip Turner 2004-10-12 06:45:14 EDT
this should be fixed in 5.8.5-7
Comment 3 Tim Waugh 2004-10-14 10:52:16 EDT
Looks good to me.

Note You need to log in before you can comment on or make changes to this bug.